Support » Plugin: WooCommerce Conversion Tracking by woopt » Latest version 1.7.8 crashes

  • Resolved Karan

    (@peeyooshk)


    Since upgrading to 1.7.8 we are getting below errors:-

    2021-01-15T06:34:57+00:00 CRITICAL Uncaught Error: Class ‘WGACT\Classes\Pixels\Cookie_Consent_Management’ not found in /public_html/wp-content/plugins/woocommerce-google-adwords-conversion-tracking-tag/wgact.php:161
    Stack trace:
    #0 /public_html/wp-includes/class-wp-hook.php(287): WGACT\WGACT->inject_pixels(”)
    #1 /public_html/wp-includes/class-wp-hook.php(311): WP_Hook->apply_filters(NULL, Array)
    #2 /public_html/wp-includes/plugin.php(484): WP_Hook->do_action(Array)
    #3 /public_html/wp-settings.php(535): do_action(‘after_setup_the…’)
    #4 /public_html/wp-config.php(79): require_once(‘/home/5e9bdbc9f…’)
    #5 /public_html/wp-load.php(37): require_once(‘/home/5e9bdbc9f…’)
    #6 /public_html/wp-blog-header.php(13): require_once(‘/home/5e9bdbc9f…’)
    #7 /public_html/index.php(17): requ in /public_html/wp-content/plugins/woocommerce-google-adwords-conversion-tracking-tag/wgact.php on line 161

    • This topic was modified 5 months ago by Karan.

    The page I need help with: [log in to see the link]

Viewing 10 replies - 1 through 10 (of 10 total)
  • T. Hansen

    (@pmterkel)

    Also here – Fatal error: Uncaught Error: Class ‘WGACT\Classes\Pixels\Cookie_Consent_Management’ not found

    dieterrichter

    (@dieterrichter)

    Same here. Disabling the Plugin (via Plesk) did help for the moment

    Plugin Author alekv

    (@alekv)

    Hi @pmterkel and @dieterrichter and

    I reverted back to the old, working version. You can update and re-activate it.

    I’m sorry for the inconvenience.

    Let me know if it works.

    I’ve tested the new version with namespaces, but it seems not to work on every install. Would you be ready to help debugging the problem and give us access to your install? If yes, please send me an email to support@wolfundbaer.ch

    Plugin Author alekv

    (@alekv)

    @peeyooshk

    I reverted back to the old, working version. You can update and re-activate it.

    I’m sorry for the inconvenience.

    Let me know if it works.

    I’ve tested the new version with namespaces, but it seems not to work on every install. Would one of you be ready to help debugging the problem and give us access to your install. If yes, please send me an email to support@wolfundbaer.ch

    Plugin Author alekv

    (@alekv)

    @dieterrichter @pmterkel @peeyooshk

    Could you let me know which PHP version you’re running?

    T. Hansen

    (@pmterkel)

    @alekv

    PHP Version 7.4.14

    Thread Starter Karan

    (@peeyooshk)

    @alekv
    7.4.7

    Plugin Author alekv

    (@alekv)

    @peeyooshk @pmterkel @dieterrichter

    Thanks to your quick responses and the additional help of some of you. I was able to identify the problem that was introduced in version 1.7.8

    Do you spot the mistake?

    /classes/Pixels/class-cookie-consent-management.php

    vs.

    /classes/pixels/class-cookie-consent-management.php

    It was a simple capitalization error!

    And I didn’t catch it in my local tests, because my machine is set to ignore capitalization, while certain servers are sensitive to capitalization.

    Well, one more lesson learned about something that I never intended to learn…

    Later today I will roll out the changes which were meant for 1.7.8 with version 1.7.11. Brace for impact! And this time hopefully with no incident.

    Thanks again to everyone for being such loyal users !

    I am STILL getting this error in version 1.8.14 – can we please get a fix for this?

    Plugin Author alekv

    (@alekv)

    @chrisfontes It is weird that you are getting the same error with 1.8.14, since that version is not being delivered with the wrong folder name as 1.7.8.

    Also, you are the only one reporting this issue with a newer version of the plugin.

    I’ll have to take a closer look into your particular install. Could you please send me admin access to WooCommerce and FTP credentials to support@wolfundbaer.ch.

Viewing 10 replies - 1 through 10 (of 10 total)
  • You must be logged in to reply to this topic.